apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-microsoft-sso
  namespace: argocd
spec:
  description: Allow argoCD dex server to authenticate to microsoft online azure oatuh
  egress:
    - toFQDNs:
        - matchName: login.microsoftonline.com
        - matchPattern: '*.microsoftonline.com'
        - matchName: github.com
        - matchName: api.github.com
  endpointSelector:
    matchLabels:
      app.kubernetes.io/name: argocd-dex-server
